org.apache.lucene.codecs

## Class SegmentInfoReader

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoReader

- Direct Known Subclasses:
    Lucene3xSegmentInfoReader, Lucene40SegmentInfoReader

      public abstract class SegmentInfoReader
      extends Object

  Specifies an API for classes that can read `SegmentInfo` information.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SegmentInfoReader()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SegmentInfo` | `read(Directory directory, String segmentName, IOContext context)` Read `SegmentInfo` data from a directory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentInfoReader

          protected SegmentInfoReader()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### read

          public abstract SegmentInfo read(Directory directory,
                         String segmentName,
                         IOContext context)
                                    throws IOException

      Read `SegmentInfo` data from a directory.
      Parameters:
        `directory` - directory to read from
        `segmentName` - name of the segment to read
      Returns:
        infos instance to be populated with data
      Throws:
        `IOException` - If an I/O error occurs

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.